package com.sw.mes.auth.service;

import com.sw.mes.auth.domain.AuthRole;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author JS111816
* @description 针对表【auth_role(【系统域—系统管理】角色表)】的数据库操作Service
* @createDate 2022-05-19 14:21:42
*/
public interface AuthRoleService extends IService<AuthRole> {
    List<AuthRole> getByUserId(Integer userId);

    void updatePermission(Integer roleId, String permissionIds);

    List<AuthRole> findByids(List<String> ids);

    void updateDataPermission(Integer roleId, String factoryModelIds, String warehouseIds);
}
